<?php

/**
 * To run: cd <here>
 * php doLookups.php 
 *
 * File is saved to ./newfile2.plist
 *
 * Look here for timezones: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
 */
namespace CFPropertyList;

require 'GoogleMapsGeocoder.php';

error_reporting(E_ALL);
ini_set('display_errors', '1');

require_once('CFPropertyList/CFPropertyList.php');

$file = new CFPropertyList( 'newtimes.plist', CFPropertyList::FORMAT_XML );

$Geocoder = new \GoogleMapsGeocoder();

$plist = new CFPropertyList();
$plist->add( $array = new CFArray() );

foreach ( $file->toArray() as $item) {
//    var_dump($item["Name"]);
    if (array_key_exists("lat", $item)) {
//        echo "has lat already, moving on";
        continue;
    }
    
    $array->add( $dict = new CFDictionary());
	$Geocoder->setAddress($item["Name"]);
 	$response = $Geocoder->geocode();

 	$dict->add ('Timezone', new CFString( $item["Timezone"] ));
 	$dict->add ('Name', new CFString( $item["Name"] ));
 	
 	if ($response["status"] != "OK") {
// 		echo "**** MASSIVE ERROR ****";
// 		var_dump($response);
 		$error = array();
 		$error['response'] = $response;
 		$error['name'] = $item["Name"];
 		$errors[] = $error;
 	} else {
 		// var_dump($response["results"][0]["geometry"]["location"]);
 		$dict->add( 'lat', new CFNumber( $response["results"][0]["geometry"]["location"]["lat"] ) );
 		$dict->add( 'lng', new CFNumber( $response["results"][0]["geometry"]["location"]["lng"] ) );
        
//        var_dump($dict);
  	}
 	// var_dump($response);
	sleep(1);
}

var_dump($errors);
$plist->saveXML("./newfile2.plist");
echo "*** FILE SAVED: ***";
readfile("./newfile2.plist");
